Get a user's session
Deprecated
Deprecated
This endpoint is deprecated, please use the Get OAuth Delegation endpoint instead. Get details about a user's session.
Beginning November 2021, user sessions no longer includes newly issued OAuth tokens.
Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account.
For more information see the API Concepts Document
Scoped OAuth requires: users:sessions.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the resource.
The session type for the user session ID.
The session ID for the user.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
List Notification Subscriptions GET
Retrieve a list of Notification Subscriptions the given User has. <!-- theme: warning --> > Users must be added through `POST /users/{id}/notification_subscriptions` to be returned from this endpoint. Scoped OAuth requires: `subscribers.read`
List a user's active sessions GET
<!-- theme: warning --> > ### Deprecated > This endpoint is deprecated, please use the [List OAuth Delegations endpoint](https://developer.pagerduty.com/api-reference/fc03ba9dffd1f-list-user-oauth-delegations) instead. List active sessions of a PagerDuty user. Beginning November 2021, active sessions no longer includes newly issued OAuth tokens. Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#users) Scoped OAuth requires: `users:sessions.read`